> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guglielmine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# New Investigation From Email



## OpenAPI

````yaml /openapi/openapi.json post /v2/investigations/email
openapi: 3.1.0
info:
  title: Qevlar Investigation Platform API
  description: This API analyzes observables and provides investigation capabilities.
  version: 2.0.0
servers:
  - url: https://api.qevlar.com
security: []
paths:
  /v2/investigations/email:
    post:
      tags:
        - v2
        - investigation
      summary: New Investigation From Email
      operationId: new_investigation_from_email_v2_investigations_email_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvestigationEmailRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvestigationSubmissionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvestigationEmailRequest:
      properties:
        from_email:
          type: string
          format: email
          title: From Email
        subject:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject
          default: Investigation by Qevlar AI
        reply_to:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Reply To
        attachment_download_url:
          type: string
          minLength: 1
          format: uri
          title: Attachment Download Url
      type: object
      required:
        - from_email
        - attachment_download_url
      title: InvestigationEmailRequest
    InvestigationSubmissionResponse:
      properties:
        alert_id:
          type: string
          format: uuid
          title: Alert Id
        status:
          $ref: '#/components/schemas/TaskStatus'
      type: object
      required:
        - alert_id
        - status
      title: InvestigationSubmissionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskStatus:
      type: string
      enum:
        - Failure
        - In progress
        - Pending
        - Success
      title: TaskStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````